pydo.nfs.get_access_point()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.nfs.get_access_point(
    access_point_id="becd9f04-8afa-4ccd-b03e-9676447df603",
)
Returns JSONRaises HttpResponseError

Description

To get an NFS access point, send a GET request to /v2/nfs/access_points/{access_point_id}.

A successful request will return the NFS access point.

Parameters

access_point_id string required

The unique identifier of the NFS access point.

Response Example

Show Response Example
{
  "access_point": {
    "id": "becd9f04-8afa-4ccd-b03e-9676447df603",
    "name": "default",
    "share_id": "baf4827c-6fa9-456f-9dbd-9ddfcacd0720",
    "path": "/",
    "status": "ACCESS_POINT_ACTIVE",
    "is_default": true,
    "created_at": "2026-06-25T08:10:29Z",
    "updated_at": "2026-06-25T08:10:37Z",
    "access_policy": {
      "anonuid": 65534,
      "anongid": 65534,
      "protocols": [
        "NFS4",
        "NFS"
      ],
      "squash_config": "ROOT_SQUASH",
      "identity_enforcement_enabled": false
    }
  }
}

More Information

See /v2/nfs/access_points/{access_point_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.